Bug 439517 - update of module-init-tools overwrites old modprobe.conf
Summary: update of module-init-tools overwrites old modprobe.conf
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jon Masters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-28 21:00 UTC by Devin
Modified: 2009-01-09 06:16 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 06:16:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Devin 2008-03-28 21:00:46 UTC
Description of problem:

After updating my system yesterday and rebooting, I found that my modprobe.conf
file had been overwritten, without even leaving me with a "modprobe.conf.rpmold"
file containing my module data.

Version-Release number of selected component (if applicable):

3.4-2
  
Actual results:

After updating 'module-init-tools', I'm left with a blank modprobe.conf.

Expected results:

The update package should have installed its blank modprobe.conf at
modprobe.conf.rpmnew.  At the least, it should have backed up my modprobe.conf
to modprobe.conf.rpmold.

Additional info:

I had module data for configuring my sound card without skipping in my
modprobe.conf file.  That data is gone now.  I will consider moving to Ubuntu,
as I'm sick of things like this happening during updates.

Comment 1 Jon Masters 2008-04-26 01:39:08 UTC
Was this update pulled in by a yum update or did you manually install?

Comment 2 Devin 2008-04-26 04:11:08 UTC
The update was pulled in by a yum update.

Comment 3 Bug Zapper 2008-11-26 10:18:05 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-01-09 06:16:38 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.